﻿/*
 *  DateTimePicker で元号(和暦)表示のテスト
 *  ネット上にあったコードをそのままコピペしたもの
 *  
 *  動作確認環境は以下
 *  対象フレームワーク .NET Framework 4.0
 *  Windows 7 U64(SP1) + VS Express 2013 Desktop C#
 * 
 *  2014年10月31日 Mr.XRAY
 */

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            { }
        }

        private void dateTimePicker1_ValueChanged(object sender, EventArgs e)
        {
            {
                System.Globalization.Calendar calendar = new System.Globalization.JapaneseCalendar();
                System.Globalization.CultureInfo culture = new System.Globalization.CultureInfo("ja-JP");
                culture.DateTimeFormat.Calendar = calendar;
                this.dateTimePicker1.CustomFormat = dateTimePicker1.Value.ToString("gg yy", culture) + "年MM月dd日";            
            }
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            {
                dateTimePicker1_ValueChanged(dateTimePicker1, new EventArgs()); 
            }
        }
    }
}
